# InnerSource@IBM Code of Conduct

- [Be kind](./CODE_OF_CONDUCT.md#be-kind)
- [No spam](./CODE_OF_CONDUCT.md#no-spam)
- [No abuse](./CODE_OF_CONDUCT.md#no-abuse) 
- [Be honest](./CODE_OF_CONDUCT.md#be-honest)


## Be kind
Be generous with ideas and kind to others

While here, you may encounter ideas, viewpoints, and technologies that are unfamiliar to
you. You may even find some that you disagree with. The InnerSource@IBM Community
welcomes multiple approaches to solve the same problem. As a platform for communal
learning, please lead with generosity when interacting with others and avoid derailing
the conversation and detracting from the educational value of content for others. We
encourage members of the InnerSource@IBM Community to keep an open mind, and to commit
to being thoughtful when sharing knowledge.


## No spam
Keep spam in the can

Content posted to Community must be on-topic and constructive. Promotional content,
content designed to create backlinks, trolling, links to harmful websites, or content
unrelated to the topic at hand may be removed.


## No abuse
No tolerance for abuse

Our goal is for everyone in our Community to feel welcome, which is why we encourage
members to contribute in a way that is inclusive, supports learning, and promotes the
welfare of others. To that end, malicious behavior, harassment, and offensive language
that is in reference to (but not limited to) age, disability, ethnicity, gender identity
or expression, level of experience, nationality, neurodiversity, personal appearance,
race, religion, political affiliation, sexual orientation, socioeconomic status, or
technology choices will not be tolerated.


## Be honest
Don’t intentionally mislead

The InnerSource@IBM Community is first and foremost a place for learning. Community
members who purposely misinform others or who give advice in bad faith run the risk of
their account being terminated.

InnerSource@IBM reserves the right to remove content that fails to meet the standards
set forth in this code of conduct. Likewise, InnerSource @ IBM reserves the right to
prohibit individual users from participating in Community at its sole discretion. This
policy applies to tutorials, comments, questions, answers, and reviews published on
InnerSource@IBM and IBM Developer. 


[Source](https://www.digitalocean.com/community/pages/code-of-conduct#anchor--be-kind)


# Community Code of Conduct

## Our Pledge

In the interest of fostering an open and welcoming environment, we as
contributors and starters pledge to making participation in our project and
our community a harassment-free experience for everyone, regardless of age, body
size, disability, ethnicity, sex characteristics, gender identity and expression,
level of experience, education, socio-economic status, nationality, personal
appearance, race, religion, or sexual identity and orientation.

## Our Standards

Examples of behavior that contributes to creating a positive environment
include:

-   Using welcoming and inclusive language
-   Being respectful of differing viewpoints and experiences
-   Gracefully accepting constructive criticism
-   Focusing on what is best for the community
-   Showing empathy towards other community members

Examples of unacceptable behavior by participants include:

-   The use of sexualized language or imagery and unwelcome sexual attention or
    advances
-   Trolling, insulting/derogatory comments, and personal or political attacks
-   Public or private harassment
-   Publishing others' private information, such as a physical or electronic
    address, without explicit permission
-   Other conduct which could reasonably be considered inappropriate in a
    professional setting

## Our Responsibilities

Project starters are responsible for clarifying the standards of acceptable
behavior and are expected to take appropriate and fair corrective action in
response to any instances of unacceptable behavior.

Project starters have the right and responsibility to remove, edit, or
reject comments, commits, code, wiki edits, issues, and other contributions
that are not aligned to this Code of Conduct, or to ban temporarily or
permanently any contributor for other behaviors that they deem inappropriate,
threatening, offensive, or harmful.

## Scope

This Code of Conduct does not supersede existing IBM corporate policies, such as
the [IBM Business Conduct Guidelines](https://w3.ibm.com/w3publisher/trust-compliance/bcgs)
and [IBM Business Partner Code of Conduct](https://w3.ibm.com/w3publisher/ibm-business-partner-business-controls/references-old/business-partner-code-of-conduct).
IBM employees must follow [IBM Business Conduct Guidelines](https://w3.ibm.com/w3publisher/trust-compliance/bcgs).
[IBM Business Partner Code of Conduct](https://w3.ibm.com/w3publisher/ibm-business-partner-business-controls/references-old/business-partner-code-of-conduct).
IBM employees concerned with a fellow IBMer's behavior should follow IBM's own internal
HR reporting protocols, which include engaging the offending IBMer's manager and
involving IBM Concerns and Appeals.

## Enforcement

Instances of abusive, harassing, or otherwise unacceptable behavior may be
reported by contacting the [project team](./STARTER_TEAM.md). All
complaints will be reviewed and investigated and will result in a response that
is deemed necessary and appropriate to the circumstances. The project team is
obligated to maintain confidentiality with regard to the reporter of an incident.
Further details of specific enforcement policies may be posted separately.

Project maintainers who do not follow or enforce the Code of Conduct in good
faith may face temporary or permanent repercussions as determined by other
members of the project's leadership.

## Attribution

This Code of Conduct is adapted from the [Contributor Covenant][homepage], version 1.4,
available at https://www.contributor-covenant.org/version/1/4/code-of-conduct.html

[homepage]: https://www.contributor-covenant.org

For answers to common questions about this code of conduct, see
https://www.contributor-covenant.org/faq
