# Qiskit Code Assistant Jupyterlab Extension

[![Github Actions Status](https://github.ibm.com/IBM-Q-Software/qiskit-code-assistant-jupyterlab/workflows/Build/badge.svg)](https://github.ibm.com/IBM-Q-Software/qiskit-code-assistant-jupyterlab/actions/workflows/build.yml)

A JupyterLab extension for Qiskit Code Assistant

You can also use the [VSCode extension](https://github.ibm.com/IBM-Q-Software/qiskit-code-assistant-vscode)
if you dont have access to Jupyterlab

This extension is composed of a Python package named `qiskit_code_assistant_jupyterlab`
for the server extension and a NPM package named `qiskit-code-assistant-jupyterlab`
for the frontend extension.

## Requirements

- JupyterLab >= 4.2.0
- Access to an instance of the [Qiskit Code Assistant Service](https://github.ibm.com/IBM-Q-Software/qiskit-code-assistant-service)
- An IBM Quantum account

## Install

To install the extension, execute:

```bash
pip install qiskit_code_assistant_jupyterlab
```

## Uninstall

To remove the extension, execute:

```bash
pip uninstall qiskit_code_assistant_jupyterlab
```

## Using the Qiskit Code Assistant

For help setting up and using the Qiskit Code Assistant read [GETTING_STARTED](GETTING_STARTED.md).

## Contributing

To learn more about contributing or installing locally read [CONTRIBUTING](CONTRIBUTING.md).
